JBoss API: Class Deployment.Module

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class Deployment.Module

    java.lang.Object
      |
      +--org.jboss.deployment.Deployment.Module

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Deployment

public class Deployment.Module
extends java.lang.Object
implements java.io.Serializable

Represents a J2ee module.

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `localUrls` a collection of urls that make this module.
`protected java.lang.String` | `name` a short name for the module
`protected java.lang.String` | `webContext` the web root context in case of war file

Constructor Summary
`protected` | `Deployment.Module()`

Method Summary
`java.util.Vector` | `getLocalUrls()` returns the local urls
`java.lang.String` | `getName()` returns the name
`java.lang.String` | `getWebContext()` returns the web context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  a short name for the module

### localUrls

    protected java.util.Vector localUrls

  a collection of urls that make this module.
  actually there is only one url for the modules jar file or in case of web the modules root directory needed. But to be able to allow alternative descriptors, the base directories of this alternative descriptors can be put here before the real module url, so that these where found first

### webContext

    protected java.lang.String webContext

  the web root context in case of war file

Constructor Detail

### Deployment.Module

    protected Deployment.Module()

Method Detail

### getLocalUrls

    public java.util.Vector getLocalUrls()

  returns the local urls

### getName

    public java.lang.String getName()

  returns the name

### getWebContext

    public java.lang.String getWebContext()

  returns the web context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.